# Distributing the denial of secrets

Twitter made ddosecrets.com a forbidden place. I don't like being forbidden from going places or sharing links to said places.

It's dangerous to go alone, take these:

* [Apache](https://gist.github.com/0xdade/75f0d2e082593453ff02fac91b6cd0ee)
* [Nginx](https://gist.github.com/0xdade/159103ff8d35b3e177c43cd7b28ddc31)
* [iptables](https://gist.github.com/0xdade/c326a26c3044a0197bc96ccfee61cd47)

## What do we block?

* AWS
* GCP
* Azure
* AS24940 (Hetzner)
* AS13414 (Twitter)
* AS25046 (Check point) 

## /etc/nginx/nginx.conf

Get the nginx-cloud-block.conf from [my gists](https://gist.githubusercontent.com/0xdade/159103ff8d35b3e177c43cd7b28ddc31/raw/37d9d9c6e1b11a6af86a7ce1f44c1d67a20b75c8/nginx-cloud-block.conf). Alternatively you can build your own using [0xdade/sephiroth](https://github.com/0xdade/sephiroth).

Add the following include line to your /etc/nginx/nginx.conf

```
http {
[...]
  include /etc/nginx/nginx-cloud-block.conf;
[...]
}
```

## Getting a wildcard cert

Here's a [random guide](https://medium.com/@saurabh6790/generate-wildcard-ssl-certificate-using-lets-encrypt-certbot-273e432794d7) on wildcard certs for certbot. If you already have certbot installed, here's the meat of the process.

```
certbot certonly --manual --preferred-challenges=dns --agree-tos -d *.exploit.party
```


## /etc/nginx/sites-enabled/yourdomain.conf

Replace exploit.party with your domain. Redirect to whatever you want in the `if ($block_ip)` block.

```
server {
    listen 443 ssl;
    listen [::]:443 ssl;
    server_name ~^(.*)\.exploit\.party$;
    ssl_certificate /etc/letsencrypt/live/exploit.party-0001/fullchain.pem;
    ssl_certificate_key /etc/letsencrypt/live/exploit.party-0001/privkey.pem;
    if ($block_ip) {
        return 302 https://rickrolled.com;
    }
    return https://$1.ddosecrets.com$request_uri;
}
```